# CommRequest

HSMS 연결 성공 후, 호스트에게 Establish Communications Request(`S1F13`) 메시지를 자동으로 보낼 때 사용하는 타이머 값을 설정하거나 가져옵니다.

이 설정에 따라 장비가 현장에 투입되었을 때 별도의 조작 없이도 호스트와 즉시 논리적인 통신 연결을 시도하게 됩니다.

<table data-header-hidden><thead><tr><th width="123.5999755859375"></th><th></th></tr></thead><tbody><tr><td><strong>Value</strong></td><td><strong>Description</strong></td></tr><tr><td>0</td><td>수동 모드: 장비가 자동으로 <code>S1F13</code>을 보내지 않습니다. 사용자가 직접 제어해야 합니다.</td></tr><tr><td>> 0</td><td>자동 모드 (초 단위): HSMS 연결 후, 설정된 시간이 지나면 자동으로 <code>S1F13</code>을 전송합니다. (보통 1~5초 내외 설정)</td></tr></tbody></table>

```csharp
// HSMS 접속 성공 1초 후에 S1F13(Comm Request)을 자동으로 보냄
m_gem.CommRequest = 1;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined/commrequest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
